package com.fjhx.stock.service;

import com.fjhx.base.BaseService;
import com.fjhx.entity.stock.StockDetail;
import com.fjhx.params.stock.PickingTrackingNumStatisticsResult;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 物料库存明细 服务类
 * </p>
 *
 * @author ${author}
 * @since 2022-08-01
 */
public interface StockDetailService extends BaseService<StockDetail> {

    Map<String, Object> getMaterialInfoByQrCode(Map<String, String> condition);

    void setAreaId(List<StockDetail> stockDetail);

    List<Map<String, Object>> restrictedPicking(Map<String, String> condition);

    void submitRestrictedPicking(Map<String, Object> condition);

    List<HashMap<String, Object>> pickingTrackingUserStatistics(Map<String, String> condition);

    PickingTrackingNumStatisticsResult pickingTrackingNumStatistics(Map<String, String> condition);

    List<Map<String, Object>> appointInfo(Map<String, String> condition);

    List<Map<String, Object>> pickingTrackingList(Map<String, String> condition);

}
